## org.apache.html.dom
Class HTMLTableElementImpl

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.html.dom.HTMLElementImpl
                          org.apache.html.dom.HTMLTableElementImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.events.EventTarget, org.w3c.dom.html.HTMLElement, org.w3c.dom.html.HTMLTableElement, org.w3c.dom.Node, org.w3c.dom.NodeList, org.w3c.dom.TypeInfo

    public class HTMLTableElementImpl

extends HTMLElementImpl
implements org.w3c.dom.html.HTMLTableElement

Version:
  $Revision: 329271 $ $Date: 2005-10-28 15:25:05 -0400 (Fri, 28 Oct 2005) $
Author:
  Assaf Arkin
See Also:
  `HTMLAnchorElement`, `ElementImpl`, Serialized Form

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl

`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`HTMLTableElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`org.w3c.dom.Node` `cloneNode(boolean deep)` Explicit implementation of cloneNode() to ensure that cache used for getRows() and getTBodies() gets cleared.
`org.w3c.dom.html.HTMLElement` `createCaption()`
`org.w3c.dom.html.HTMLElement` `createTFoot()`
`org.w3c.dom.html.HTMLElement` `createTHead()`
`void` `deleteCaption()`
`void` `deleteRow(int index)`
`void` `deleteTFoot()`
`void` `deleteTHead()`
`java.lang.String` `getAlign()`
`java.lang.String` `getBgColor()`
`java.lang.String` `getBorder()`
`org.w3c.dom.html.HTMLTableCaptionElement` `getCaption()`
`java.lang.String` `getCellPadding()`
`java.lang.String` `getCellSpacing()`
`java.lang.String` `getFrame()`
`org.w3c.dom.html.HTMLCollection` `getRows()`
`java.lang.String` `getRules()`
`java.lang.String` `getSummary()`
`org.w3c.dom.html.HTMLCollection` `getTBodies()`
`org.w3c.dom.html.HTMLTableSectionElement` `getTFoot()`
`org.w3c.dom.html.HTMLTableSectionElement` `getTHead()`
`java.lang.String` `getWidth()`
`org.w3c.dom.html.HTMLElement` `insertRow(int index)`
`void` `setAlign(java.lang.String align)`
`void` `setBgColor(java.lang.String bgColor)`
`void` `setBorder(java.lang.String border)`
`void` `setCaption(org.w3c.dom.html.HTMLTableCaptionElement caption)`
`void` `setCellPadding(java.lang.String cellPadding)`
`void` `setCellSpacing(java.lang.String cellSpacing)`
`void` `setFrame(java.lang.String frame)`
`void` `setRules(java.lang.String rules)`
`void` `setSummary(java.lang.String summary)`
`void` `setTFoot(org.w3c.dom.html.HTMLTableSectionElement tFoot)`
`void` `setTHead(org.w3c.dom.html.HTMLTableSectionElement tHead)`
`void` `setWidth(java.lang.String width)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl

`getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isDerivedFrom, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl

`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node

`appendChild, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### HTMLTableElementImpl

    public HTMLTableElementImpl(HTMLDocumentImpl owner,
                                java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getCaption

    public org.w3c.dom.html.HTMLTableCaptionElement getCaption()

  Specified by:
    `getCaption` in interface `org.w3c.dom.html.HTMLTableElement`

### setCaption

    public void setCaption(org.w3c.dom.html.HTMLTableCaptionElement caption)

  Specified by:
    `setCaption` in interface `org.w3c.dom.html.HTMLTableElement`

### createCaption

    public org.w3c.dom.html.HTMLElement createCaption()

  Specified by:
    `createCaption` in interface `org.w3c.dom.html.HTMLTableElement`

### deleteCaption

    public void deleteCaption()

  Specified by:
    `deleteCaption` in interface `org.w3c.dom.html.HTMLTableElement`

### getTHead

    public org.w3c.dom.html.HTMLTableSectionElement getTHead()

  Specified by:
    `getTHead` in interface `org.w3c.dom.html.HTMLTableElement`

### setTHead

    public void setTHead(org.w3c.dom.html.HTMLTableSectionElement tHead)

  Specified by:
    `setTHead` in interface `org.w3c.dom.html.HTMLTableElement`

### createTHead

    public org.w3c.dom.html.HTMLElement createTHead()

  Specified by:
    `createTHead` in interface `org.w3c.dom.html.HTMLTableElement`

### deleteTHead

    public void deleteTHead()

  Specified by:
    `deleteTHead` in interface `org.w3c.dom.html.HTMLTableElement`

### getTFoot

    public org.w3c.dom.html.HTMLTableSectionElement getTFoot()

  Specified by:
    `getTFoot` in interface `org.w3c.dom.html.HTMLTableElement`

### setTFoot

    public void setTFoot(org.w3c.dom.html.HTMLTableSectionElement tFoot)

  Specified by:
    `setTFoot` in interface `org.w3c.dom.html.HTMLTableElement`

### createTFoot

    public org.w3c.dom.html.HTMLElement createTFoot()

  Specified by:
    `createTFoot` in interface `org.w3c.dom.html.HTMLTableElement`

### deleteTFoot

    public void deleteTFoot()

  Specified by:
    `deleteTFoot` in interface `org.w3c.dom.html.HTMLTableElement`

### getRows

    public org.w3c.dom.html.HTMLCollection getRows()

  Specified by:
    `getRows` in interface `org.w3c.dom.html.HTMLTableElement`

### getTBodies

    public org.w3c.dom.html.HTMLCollection getTBodies()

  Specified by:
    `getTBodies` in interface `org.w3c.dom.html.HTMLTableElement`

### getAlign

    public java.lang.String getAlign()

  Specified by:
    `getAlign` in interface `org.w3c.dom.html.HTMLTableElement`

### setAlign

    public void setAlign(java.lang.String align)

  Specified by:
    `setAlign` in interface `org.w3c.dom.html.HTMLTableElement`

### getBgColor

    public java.lang.String getBgColor()

  Specified by:
    `getBgColor` in interface `org.w3c.dom.html.HTMLTableElement`

### setBgColor

    public void setBgColor(java.lang.String bgColor)

  Specified by:
    `setBgColor` in interface `org.w3c.dom.html.HTMLTableElement`

### getBorder

    public java.lang.String getBorder()

  Specified by:
    `getBorder` in interface `org.w3c.dom.html.HTMLTableElement`

### setBorder

    public void setBorder(java.lang.String border)

  Specified by:
    `setBorder` in interface `org.w3c.dom.html.HTMLTableElement`

### getCellPadding

    public java.lang.String getCellPadding()

  Specified by:
    `getCellPadding` in interface `org.w3c.dom.html.HTMLTableElement`

### setCellPadding

    public void setCellPadding(java.lang.String cellPadding)

  Specified by:
    `setCellPadding` in interface `org.w3c.dom.html.HTMLTableElement`

### getCellSpacing

    public java.lang.String getCellSpacing()

  Specified by:
    `getCellSpacing` in interface `org.w3c.dom.html.HTMLTableElement`

### setCellSpacing

    public void setCellSpacing(java.lang.String cellSpacing)

  Specified by:
    `setCellSpacing` in interface `org.w3c.dom.html.HTMLTableElement`

### getFrame

    public java.lang.String getFrame()

  Specified by:
    `getFrame` in interface `org.w3c.dom.html.HTMLTableElement`

### setFrame

    public void setFrame(java.lang.String frame)

  Specified by:
    `setFrame` in interface `org.w3c.dom.html.HTMLTableElement`

### getRules

    public java.lang.String getRules()

  Specified by:
    `getRules` in interface `org.w3c.dom.html.HTMLTableElement`

### setRules

    public void setRules(java.lang.String rules)

  Specified by:
    `setRules` in interface `org.w3c.dom.html.HTMLTableElement`

### getSummary

    public java.lang.String getSummary()

  Specified by:
    `getSummary` in interface `org.w3c.dom.html.HTMLTableElement`

### setSummary

    public void setSummary(java.lang.String summary)

  Specified by:
    `setSummary` in interface `org.w3c.dom.html.HTMLTableElement`

### getWidth

    public java.lang.String getWidth()

  Specified by:
    `getWidth` in interface `org.w3c.dom.html.HTMLTableElement`

### setWidth

    public void setWidth(java.lang.String width)

  Specified by:
    `setWidth` in interface `org.w3c.dom.html.HTMLTableElement`

### insertRow

    public org.w3c.dom.html.HTMLElement insertRow(int index)

  Specified by:
    `insertRow` in interface `org.w3c.dom.html.HTMLTableElement`

### deleteRow

    public void deleteRow(int index)

  Specified by:
    `deleteRow` in interface `org.w3c.dom.html.HTMLTableElement`

### cloneNode

    public org.w3c.dom.Node cloneNode(boolean deep)

  Explicit implementation of cloneNode() to ensure that cache used for getRows() and getTBodies() gets cleared.

  Specified by:
    `cloneNode` in interface `org.w3c.dom.Node`
  Overrides:
    `cloneNode` in class `org.apache.xerces.dom.ElementImpl`
  See Also:
    `Node.cloneNode(boolean)`

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.